(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tsparticles-engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadEasingCubicPlugin = void 0;
    const tsparticles_engine_1 = require("tsparticles-engine");
    async function loadEasingCubicPlugin() {
        (0, tsparticles_engine_1.addEasing)("ease-in-cubic", (value) => value ** 3);
        (0, tsparticles_engine_1.addEasing)("ease-out-cubic", (value) => 1 - (1 - value) ** 3);
        (0, tsparticles_engine_1.addEasing)("ease-in-out-cubic", (value) => (value < 0.5 ? 4 * value ** 3 : 1 - (-2 * value + 2) ** 3 / 2));
    }
    exports.loadEasingCubicPlugin = loadEasingCubicPlugin;
});
